package de.jottyfan.timetrack.modules;

import javax.faces.bean.RequestScoped;
import javax.faces.context.FacesContext;

import de.jottyfan.timetrack.help.Pages;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;

/**
 * 
 * @author henkej
 *
 */
@ManagedBean
@RequestScoped
public class SessionControl {

	@ManagedProperty(value = "#{facesContext}")
	private FacesContext facesContext;

	@ManagedProperty(value = "#{sessionBean}")
	private SessionBean bean;

	public String doLogin() {
		SessionModel model = new SessionModel();
		model.doLogin(facesContext, bean);
		return Pages.START.get();
	}

	public String doLogout() {
		bean.setLogin(null);
		bean.setSecret(null);
		bean.setForename(null);
		bean.setSurname(null);
		bean.setUsername(null);
		return Pages.START.get();
	}

	public FacesContext getFacesContext() {
		return facesContext;
	}

	public void setFacesContext(FacesContext facesContext) {
		this.facesContext = facesContext;
	}

	public SessionBean getBean() {
		return bean;
	}

	public void setBean(SessionBean bean) {
		this.bean = bean;
	}
}
