package de.jottyfan.timetrack.modules.contact;

import java.io.Serializable;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.RequestScoped;

import de.jooqFaces.JooqFacesContext;
import de.jottyfan.timetrack.help.Navigation;
import de.jottyfan.timetrack.help.Pages;
import de.jottyfan.timetrack.modules.ControlInterface;

/**
 * 
 * @author jotty
 * 
 */
@ManagedBean
@RequestScoped
public class ContactControl extends Navigation implements ControlInterface, Serializable {
	private static final long serialVersionUID = 1L;

	@ManagedProperty(value = "#{contactModel}")
	private ContactModel model;

	@ManagedProperty(value = "#{facesContext}")
	private JooqFacesContext facesContext;

	public String toStart() {
		return navigateTo(Pages.START);
	}

	public String toList() {
		boolean ready = model.init(facesContext);
		return ready ? navigateTo(Pages.CONTACT_LIST) : toStart();
	}

	public String toItem(ContactBean bean) {
		model.setBean(bean);
		return navigateTo(Pages.CONTACT_ITEM);
	}

	public String toItem() {
		model.setBean(new ContactBean(null));
		return navigateTo(Pages.CONTACT_ITEM);
	}

	public String doAdd() {
		boolean ready = model.add(facesContext);
		return ready ? toList() : navigateTo(Pages.CONTACT_ITEM);
	}

	public String doUpdate() {
		boolean ready = model.update(facesContext);
		return ready ? toList() : navigateTo(Pages.CONTACT_ITEM);
	}

	public String doDelete() {
		boolean ready = model.delete(facesContext);
		return ready ? toList() : navigateTo(Pages.CONTACT_ITEM);
	}
	
	public Integer getAmount() {
		return model.getAmount(facesContext);
	}

	public ContactModel getModel() {
		return model;
	}

	public void setModel(ContactModel model) {
		this.model = model;
	}

	public void setFacesContext(JooqFacesContext facesContext) {
		this.facesContext = facesContext;
	}
}
